using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;

namespace DTable_App.DTable_Test
{
	/// <summary>
	/// l_020 的摘要说明。
	/// </summary>
	public class l_020 : System.Web.UI.Page
	{
		protected dmenu.Dmenu Dmenu1;
		protected dtable.dTable DTable1;
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			// 在此处放置用户代码以初始化页面
			Dmenu1.Data_DataconnectString =sharecode.DataconnectString;
			
			Dmenu1.Sty_UrlTarget="_self"; 
			Dmenu1.List_restriction="menu_lb='dtable4.0示例'";
			DTable1.ConnStr=sharecode.DataconnectString;
			DTable1.TableName ="雇员";
			//DTable1.Page_Size=1000000;
			DTable1.List_SQL="select 雇员ID,姓氏,名字,职务,尊称,雇用日期  from 雇员 order by 雇员ID desc";
			string strtype=sharecode.GetQueryStringValue("type");
			string strsj=sharecode.GetQueryStringValue("sj");
			string strfilename="";
			if (strtype.Length>0)
			{
				if(strtype.ToLower().IndexOf("word")>-1)
				{
					strfilename="word文件导出测试.doc";
				}
				else
				{
					strfilename="excel文件导出测试.xls";
				}
			}
			else
			{
				strtype="ms-excel";
				strfilename=System.DateTime.Now.ToString() + ".xls";
			}
			DTable1.List_Out="Enable|" + strtype + "|saveas|" +strfilename  + "|" + strsj;
			DTable1.ShowBtn_All =true;
			//DTable1.List_DoubleTitle ="|1|2|@个人信息^|3|4|@双层表头2";
			DTable1.ShowBtn_Edt=true; 
			DTable1.Edit_EnableEdt =true;
			DTable1.List_EnableSort =true;
			DTable1.List_FieldFormat="5||custom|{0:yyyy/MM/dd}||||";
			//DTable1.Edit_FieldFormat="2||urlfile|../||||^3||urlfile|../||||^4||urlfile|../||||||";

		//	Label1.Text=string.Format("{0:yy-mm-dd}",System.DateTime.Now);


		}

		#region Web 窗体设计器生成的代码
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: 该调用是 ASP.NET Web 窗体设计器所必需的。
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// 设计器支持所需的方法 - 不要使用代码编辑器修改
		/// 此方法的内容。
		/// </summary>
		private void InitializeComponent()
		{    
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion
	}
}
